classification
Title: Tkinter tests ran with wantobjects is false
Type: behavior Stage: resolved
Components: Library (Lib), Tkinter Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: gpolo, jkloth, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2013-10-20 20:47 by serhiy.storchaka, last changed 2014-02-03 20:36 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_tcl_wantobjects.patch serhiy.storchaka, 2013-10-21 07:30 review
test_tcl_split_dict-3.4.patch serhiy.storchaka, 2014-01-30 17:52 review
test_tcl_split_dict-2.7.patch serhiy.storchaka, 2014-01-30 17:52 review
Messages (10)
msg200630 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-20 20:47
On some Windows buildbots (e.g. [1]) Tkinter tests ran with wantobjects is false. This brake some tests purposed to check converting values between Python and Tcl.

There are two solutions.
1) Skip these tests if wantobjects is false.
2) If wantobjects is false tests with other expected values.

[1] http://buildbot.python.org/all/builders/x86%20Windows%20Server%202003%20%5BSB%5D%202.7
msg200707 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-21 07:30
Here is a patch which follows second way.
msg201968 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-02 10:06
But because there are some other tkinter tests which fail when wantobjects is false, skipping these tests can be reasonable alternative.
msg202009 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-03 10:07
Failed buildbots:

http://buildbot.python.org/all/builders/x86%20Windows%20Server%202003%20%5BSB%5D%202.7
http://buildbot.python.org/all/builders/AMD64%20Windows%20Server%202008%20%5BSB%5D%202.7
msg206925 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-25 15:31
New changeset 6fe3e855a276 by Serhiy Storchaka in branch '2.7':
Issue #19320: test_tcl no longer fails when wantobjects is false.
http://hg.python.org/cpython/rev/6fe3e855a276

New changeset 6781a03d90c1 by Serhiy Storchaka in branch '3.3':
Issue #19320: test_tcl no longer fails when wantobjects is false.
http://hg.python.org/cpython/rev/6781a03d90c1

New changeset 78fa6dc5cc21 by Serhiy Storchaka in branch 'default':
Issue #19320: test_tcl no longer fails when wantobjects is false.
http://hg.python.org/cpython/rev/78fa6dc5cc21
msg206927 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-25 16:18
I don't know why wantobjects is false on some buildbots, but at least now they should be green.
msg207883 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-10 21:21
Unfortunately they are still red:

http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%202.7/builds/1020/steps/test/logs/stdio
======================================================================
FAIL: test_split (test.test_tcl.TclTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\buildbot.python.org\2.7.kloth-win64\build\lib\test\test_tcl.py", line 283, in test_split
    self.assertEqual(split(arg), res)
AssertionError: Tuples differ: ('12', u'\u20ac', u'\u20ac', '... != (12, u'\u20ac', u'\u20ac', (3....

First differing element 0:
12
12

- ('12', u'\u20ac', u'\u20ac', '3.4')
?  -  -                        ^   ^

+ (12, u'\u20ac', u'\u20ac', (3.4,))
?                            ^   ^ +


======================================================================
FAIL: test_splitlist (test.test_tcl.TclTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\buildbot.python.org\2.7.kloth-win64\build\lib\test\test_tcl.py", line 243, in test_splitlist
    self.assertEqual(splitlist(arg), res)
AssertionError: Tuples differ: ('1', u'\u20ac', u'\u20ac', '3... != (1, u'\u20ac', u'\u20ac', (3.4...

First differing element 0:
1
1

- ('1', u'\u20ac', u'\u20ac', '3.4')
?  - -                        ^   ^

+ (1, u'\u20ac', u'\u20ac', (3.4,))
?                           ^   ^ +


----------------------------------------------------------------------

http://buildbot.python.org/all/builders/x86%20Windows%20Server%202003%20%5BSB%5D%202.7/builds/787/steps/test/logs/stdio
http://buildbot.python.org/all/builders/AMD64%20Windows%20Server%202008%20%5BSB%5D%202.7/builds/865/steps/test/logs/stdio

All they are run with Tcl/Tk 8.5.2.
msg209680 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-29 20:54
Terry in issue20441 reported problems with same Tcl/Tk 8.5.2.
msg209730 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-30 17:52
Looks as dicts before 8.5.5 were converted to lists through string. Here are patches for 3.4 and 2.7.
msg210017 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-02 21:05
New changeset 515e6afd2f0f by Serhiy Storchaka in branch '2.7':
Issue #19320: Fixed split/splitlist tests in test_tcl for Tcl 8.5.0-8.5.5.
http://hg.python.org/cpython/rev/515e6afd2f0f

New changeset e6363a42a9f0 by Serhiy Storchaka in branch '3.3':
Issue #19320: Fixed split/splitlist tests in test_tcl for Tcl 8.5.0-8.5.5.
http://hg.python.org/cpython/rev/e6363a42a9f0

New changeset f2fdafe73ab6 by Serhiy Storchaka in branch 'default':
Issue #19320: Fixed split/splitlist tests in test_tcl for Tcl 8.5.0-8.5.5.
http://hg.python.org/cpython/rev/f2fdafe73ab6
History
Date User Action Args
2014-02-03 20:36:44serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-02-02 21:06:39serhiy.storchakalinkissue20492 superseder
2014-02-02 21:05:40python-devsetmessages: + msg210017
2014-01-30 17:52:32serhiy.storchakasetfiles: + test_tcl_split_dict-2.7.patch
2014-01-30 17:52:07serhiy.storchakasetfiles: + test_tcl_split_dict-3.4.patch

messages: + msg209730
stage: resolved -> patch review
2014-01-29 22:20:57jklothsetnosy: + jkloth
2014-01-29 20:54:47serhiy.storchakasetmessages: + msg209680
2014-01-29 20:53:26serhiy.storchakalinkissue20441 superseder
2014-01-10 21:21:54serhiy.storchakasetassignee: serhiy.storchaka
2014-01-10 21:21:40serhiy.storchakasetresolution: fixed -> (no value)
messages: + msg207883
2013-12-25 16:18:22serhiy.storchakasetresolution: fixed
messages: + msg206927
stage: patch review -> resolved
2013-12-25 15:31:07python-devsetnosy: + python-dev
messages: + msg206925
2013-11-03 10:07:15serhiy.storchakasetmessages: + msg202009
2013-11-02 10:06:12serhiy.storchakasetmessages: + msg201968
2013-10-26 00:00:11terry.reedysetnosy: + terry.reedy
2013-10-21 07:30:48serhiy.storchakasetstage: patch review
versions: + Python 3.3, Python 3.4
2013-10-21 07:30:28serhiy.storchakasetfiles: + test_tcl_wantobjects.patch
keywords: + patch
messages: + msg200707
2013-10-20 20:47:36serhiy.storchakacreate